/*--[drm5hook.h]---------------------------------------------------------------
 | Copyright (C) 2002, 2003 Dan A. Jackson 
 |
 | This file is part of the "clit" (Convert LIT) program. 
 |
 | Convert LIT is free software; you can redistribute it and/or modify
 | it under the terms of the GNU General Public License as published by
 | the Free Software Foundation; either version 2 of the License, or
 | (at your option) any later version.
 |
 | This program is distributed in the hope that it will be useful,
 | but WITHOUT ANY WARRANTY; without even the implied warranty of
 | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 | GNU General Public License for more details.
 |
 | You should have received a copy of the GNU General Public License
 | along with this program; if not, write to the Free Software
 | Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 | 
 | The GNU General Public License may also be available at the following
 | URL: http://www.gnu.org/licenses/gpl.html
 */

#include <windows.h>

#define BUFFER_SIZE (32*1024)+16

/* +0 is message, +4 is length, +8 and +12 are unused */
#define CMD_INIT    1
#define CMD_SETKEY  2
#define CMD_DECRYPT 3

#define RSP_OK      0x80
#define RSP_ERROR   0x81


/* Keep in Sync with litlib.h */
typedef void (*p_external_error_handler)(int what, char * fmt, ...);
/* .......................... */

extern  HANDLE  hMap, hExec, hDone;
extern  BYTE    *buffer; 
extern  HMODULE hMyself;
extern  p_external_error_handler    error_handler;

void common_destroy_global_state(void);
void common_error_handler(int isSystem, char * fmt, ...);
